aboutsummaryrefslogtreecommitdiffstats
path: root/bitbake
diff options
context:
space:
mode:
authorMichael Wood <michael.g.wood@intel.com>2016-06-10 11:01:10 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-06-15 08:35:05 +0100
commit5bebe39a8a6caf4af58c4900b3d5f3b94d2a4d35 (patch)
treedec81a0a235a05c92464bbd84bf1c22dae93e72b /bitbake
parente23faacd6f17be69c6945ffb55779cedee3c03a6 (diff)
downloadopenembedded-core-contrib-5bebe39a8a6caf4af58c4900b3d5f3b94d2a4d35.tar.gz
bitbake: toaster: bin Use python 3 for our django modules check
Explicitly use python3 so that the modules for python3 are checked. (Bitbake rev: e7951541c34c5561187110ba0ec69b9c45022747) Signed-off-by: Michael Wood <michael.g.wood@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'bitbake')
-rwxr-xr-xbitbake/bin/toaster2
1 files changed, 1 insertions, 1 deletions
diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index be1bb9c4f7..e3a0dae48f 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -115,7 +115,7 @@ verify_prereq() {
exp='s/Django\([><=]\+\)\([^,]\+\),\([><=]\+\)\(.\+\)/'
exp=$exp'import sys,django;version=django.get_version().split(".");'
exp=$exp'sys.exit(not (version \1 "\2".split(".") and version \3 "\4".split(".")))/p'
- if ! sed -n "$exp" $reqfile | python - ; then
+ if ! sed -n "$exp" $reqfile | python3 - ; then
req=`grep ^Django $reqfile`
echo "This program needs $req"
echo "Please install with pip install -r $reqfile"